Jump to content

    
Sign in to follow this  
Al_Jumper

АCTIVЕ НDL 9.3 - новые библиотеки

Recommended Posts

Подскажите. Нужны либы для ISE 14.3. На местном FTP нету. Или подскажите как правильно перекомпилировать старые (от 9.1) чтоб работали.

Share this post


Link to post
Share on other sites
Подскажите. Нужны либы для ISE 14.3. На местном FTP нету. Или подскажите как правильно перекомпилировать старые (от 9.1) чтоб работали.

1. взять сорцы из 14.3, закатать поверх, подправить скрипты сборки и перекомпилировать как отдельные проекты.

2. compxlib

 

но вообще тема обсуждалась кучу раз

Share this post


Link to post
Share on other sites
1. взять сорцы из 14.3, закатать поверх, подправить скрипты сборки и перекомпилировать как отдельные проекты.

2. compxlib

 

но вообще тема обсуждалась кучу раз

 

Сорри за чайницкие вопросы, но пока я в затыке.

Прочел инструкцию на сайте у них как это делать на примере unisim.

В папке vlib\unisim\src есть скрипт update_unisim.do.

Открываешь либу как проект в Активе, запускаешь этот скрипт - и вуаля. Готово.

НО. Такой скрипт не во всех папках с либами есть. Например в папке Spartan6 его нет.

Хотел написать сам, но, посмотрев на скрипт из папки Xilinxcorelib, понял, что надо описывать компиляцию каждого элемента библиотеки а их там ....

Спасибо заранее.

 

Share this post


Link to post
Share on other sites

пункт 2,про который писал des00, есть ничто иное как Simulation Library Compilation Wizard в меню Xilinx Design Tools\ISE Design Suite 14.4\ISE Design Tools\64-bit Tools

там, кажется, только путь к aldec показать и все будет скомпилировано само. советую идти по этому пути ибо он работает нормально и без бубнов.

Share this post


Link to post
Share on other sites
Хотел написать сам, но, посмотрев на скрипт из папки Xilinxcorelib, понял, что надо описывать компиляцию каждого элемента библиотеки а их там ....

и в чем проблема?

1. Символ * не вчера придумали vlog -work <libname> +incdir+$libpath $libpath/*.v

2. dir/b >1 + копи паст

быстрее чем писать пост на форуме :)

Share this post


Link to post
Share on other sites
У меня библиотеки криво становятся. На верилоге не хочет компелироваться, не могу понять в чём дело

А что говорит?

Мне помогло вот что. Запустил менеджер библиотек, выбрал нужную (Spartan6) и по правому клику - Refresh Library. После этого перестал ругаться, что Incompatible format.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this